﻿
using System;
using System.Globalization;
using Wisej.Web;

namespace WisejFullCalendarSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

        private void Page1_Load(object sender, EventArgs e)
        {
            SelectedMonth();
            this.fullCalendar1.FirstDayOfWeek = Day.Monday;
        }

        private void prevMonth_Click(object sender, EventArgs e)
        {
            this.fullCalendar1.Previous();
        }

        private void nextMonth_Click(object sender, EventArgs e)
        {
            this.fullCalendar1.Next();
        }

        private void currentMonth_Click(object sender, EventArgs e)
        {

            this.fullCalendar1.CurrentDate = DateTime.Now;
        }

        //private void fullCalendar1_CurrentDateChanged(object sender, EventArgs e)
        //{
        //    SelectedMonth();
        //}

        private void fullCalendar1_CurrentDateChanged_1(object sender, EventArgs e)
        {
            SelectedMonth();
        }

        private void SelectedMonth()
        {
            string _date;
            _date = string.Concat(fullCalendar1.CurrentDate.Year.ToString(), " / ", fullCalendar1.CurrentDate.Month.ToString());
            label1.Text = _date;

            this.lblCurrentDate.Text = fullCalendar1.CurrentDate.ToString();

        }
        private void customMonth_Click(object sender, EventArgs e)
        {
            string sDay = "01";
            string sYear = "2021";
            var cultureInfo = new CultureInfo("en-US");

            string sDate = sDay + "/" + this.txtCustomMonth.Text.Trim() + "/" + sYear;

            DateTime _customDate = DateTime.ParseExact(sDate, "dd/MM/yyyy", cultureInfo);

            this.fullCalendar1.CurrentDate = _customDate;
        }

       
    }
}
